# $Revision: 1.56 $, $Date: 2002/04/11 13:57:30 $
%include /usr/lib/rpm/macros.python

%define _pygtk_ver   		0.6.9
%define _pygnome_ver   		1.4.2

Summary:	pygtk and pygnome source
Summary(pl):	rda pygtk oraz pygnome
Name:		gnome-python
Version:	%{_pygnome_ver}
Release:	4
Epoch:		1
License:	LGPL
Group:		Libraries/Python
Source0:	ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-ac_fixes.patch
Patch1:		%{name}-am_fixes.patch
Patch2:		%{name}-am_capplet_fix.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	control-center-devel
BuildRequires:	freetype-devel
BuildRequires:	gdk-pixbuf-devel
BuildRequires:	gnome-core-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	gnome-print-devel
BuildRequires:	gtkglarea-devel
BuildRequires:	gtkhtml-devel
BuildRequires:	libglade-devel
BuildRequires:	libtool
BuildRequires:	libxml-devel
BuildRequires:	python-devel >= 2.2
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Source package for python bindings for GTK+ and GNOME, pygtk and
pygnome, respectively. The binary packages give better descriptions of
what they do.

%description -l pl
Pliki rdowe python'a dla GTK+ oraz GNOME'a. Zawieraj pygtk, jak
rwnie pygnome. Pakiety binarne zawieraj lepszy opis tego co robi.

%package -n python-pygtk
Summary:	Python bindings for the GTK+ widget set.
Summary(pl):	Python dla zestawu widgetw GTK+
Version:	%{_pygtk_ver}
Group:		Libraries/Python
Requires:	glib, gtk+, imlib, python, gtkhtml
%pyrequires_eq	python
Provides:	pygtk = %{_pygtk_ver}
Obsoletes:	pygtk

%description -n python-pygtk
PyGTK is an extension module for python that gives you access to the
GTK+ widget set. Just about anything you can write in C with GTK+ you
can write in python with PyGTK (within reason), but with all of
python's benefits.

%description -n python-pygtk -l pl
PyGTK jest moduem rozrzerzeniowym dla pythona, ktry pozwala na
dostp do widgetw GTK+. Tak jak moge pisa w C z GTK+, tak samo
moesz teraz to robi w pythonie z PyGTK, ze wszystkimi zaletami
pythona.

%package -n python-pygnome
Summary:	Python bindings for the GNOME libraries.
Summary(pl):	Python dla bibliotek GNOME.
Version:	%{_pygnome_ver}
Group:		Libraries/Python
Requires:	python-pygtk = %{_pygtk_ver}
Requires:	gnome-libs
#Requires:	gtkhtml
%pyrequires_eq	python
Provides:	pygnome = %{_pygnome_ver}
Obsoletes:	pygnome

%description -n python-pygnome
PyGNOME is an extension module for python that gives you access to the
base GNOME libraries. This means you have access to more widgets,
simple configuration interface, metadata support and many other
features.

%description -n python-pygnome -l pl
PyGNOME jest rozszerzeniowym moduem dla pythona, ktry daje dostp do
podstawowej biblioteki GNOME. Oznacza to, e masz dostp do wielu
widgetw, prost konfiguracj interfejsu, wsparcie dla metadata oraz
wiele innych rozszerze.

%package -n python-pygtk-libglade
Summary:	A wrapper for the libglade library for use with PyGTK
Summary(pl):	Wrapper dla biblioteki libglade do uycia z PyGTK
Version:	%{_pygtk_ver}
Group:		Libraries/Python
Requires:	python-pygtk = %{_pygtk_ver}
%pyrequires_eq	python

%description -n python-pygtk-libglade
This module contains a wrapper for the libglade library. Libglade is a
library similar to the pyglade module, except that it is written in C
(so is faster) and is more complete.

%description -n python-pygtk-libglade -l pl
Ten pakiet zawiera wrapper dla biblioteki libglade. Libglade jest
bibliotek podobn do pyglade, poza tym, e zostaa napisana w C (jest
wic szybsza) oraz jest bardziej kompletna.

%package -n python-pygnome-libglade
Summary:	GNOME support for the libglade python wrapper
Summary(pl):	Supoort GNOME'owy dla biblioteki libglade
Version:	%{_pygnome_ver}
Group:		Libraries/Python
Requires:	python-pygnome = %{_pygnome_ver}
%pyrequires_eq	python

%description -n python-pygnome-libglade
This module contains GNOME support to suppliment the libglade python
wrapper. Libglade is a library similar to the pyglade module, except
that it is written in C (so is faster) and is more complete.

%description -n python-pygnome-libglade -l pl
Ten pakiet zawiera GNOME'owe wsparcie dla pythonowego wrapper'a
libglade. Libglade jest bibliotek podobn do pyglade, poza tym, e
zostaa napisana w C (jest wic szybsza) oraz jest bardziej kompletna.

%ifnarch ppc
%package -n python-pygtk-glarea
Summary:	A wrapper for the GtkGLArea widget for use with PyGTK
Summary(pl):	Wrapper dla widget'a GtkGLArea do uytku z PyGTK
Version:	%{_pygtk_ver}
Group:		Libraries/Python
Requires:	python-pygtk = %{_pygtk_ver}
%pyrequires_eq	python

%description -n python-pygtk-glarea
This module contains a wrapper for the GtkGLArea widget, which allows
you to display OpenGL output inside your pygtk program. It needs a set
of Python OpenGL bindings such as PyOpenGL to actually do any OpenGL
rendering.

%description -n python-pygtk-glarea -l pl
Ten pakiet zawiera wrapper dla GtkGLArea, ktry pozwala ci na
wywietlanie w OpenGL'u wewntrz programu z pygtk. Potrzebny jest
zestaw Python'owych dowiza, takich jak PyOpenGL aby faktycznie robi
jakiekolwiek renderingi w OpenGLu.
%endif

%package -n python-pygnome-applet
Summary:	Python bindings for GNOME Panel applets
Summary(pl):	Dowizania Pythona do paneli apletw GNOME
Version:	%{_pygnome_ver}
Group:		Libraries/Python
Requires:	python-pygnome = %{_pygnome_ver}
%pyrequires_eq	python

%description -n python-pygnome-applet
This module contains a wrapper that allows GNOME Panel applets to be
written in Python.

%description -n python-pygnome-applet -l pl
Ten pakiet zawiera wrapper, ktry pozwala na uywanie apletw z panelu
GNOME napisanych w Pythonie.

%package -n python-pygnome-capplet
Summary:	Python bindings for GNOME Panel applets
Summary(pl):	Dowizania Pythona do paneli apletw GNOME
Version:	%{_pygnome_ver}
Group:		Libraries/Python
Requires:	python-pygnome = %{_pygnome_ver}
%pyrequires_eq	python

%description -n python-pygnome-capplet
This module contains a wrapper that allows GNOME Control Center
capplets to be in Python.

%description -n python-pygnome-capplet -l pl
Ten pakiet zawiera wrapper, ktry pozwala na uywanie capletw z
Control Center GNOME napisanych w Pythonie.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
libtoolize --copy --force
aclocal -I macros
autoconf
automake -a -c -f
(cd pygnome
 libtoolize --copy --force
 aclocal -I %{_aclocaldir}/gnome
 autoconf
 automake -a -c
)
(cd pygtk
 libtoolize --copy --force
 aclocal
 autoconf
 automake -a -c
)
LDFLAGS="-L%{_prefix}/X11R6/lib"; export LDFLAGS
%configure \
	--with-gtkhtml
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT install

install -d $RPM_BUILD_ROOT%{_examplesdir}/python-pygtk-%{_pygtk_ver}
mv -f pygtk/examples/* $RPM_BUILD_ROOT%{_examplesdir}/python-pygtk-%{_pygtk_ver}

install -d $RPM_BUILD_ROOT%{_examplesdir}/python-pygnome-%{_pygnome_ver}
mv -f pygnome/examples/* $RPM_BUILD_ROOT%{_examplesdir}/python-pygnome-%{_pygnome_ver}

(
	cd $RPM_BUILD_ROOT%{py_sitedir}/
	for l in *module.so ; do
		mv "$l" "_$l"
	done
)

echo pyglade > $RPM_BUILD_ROOT%{py_sitedir}/pyglade.pth

gzip -9nf pygtk/AUTHORS pygtk/NEWS pygtk/README pygtk/ChangeLog pygtk/description.py \
	AUTHORS NEWS README ChangeLog

%clean
rm -rf $RPM_BUILD_ROOT

%files -n python-pygtk
%defattr(644,root,root,755)
%doc pygtk/*.gz
%attr(755,root,root) %{_bindir}/*
%{_includedir}/pygtk
%{_datadir}/pygtk

%{py_sitedir}/gtk.py?
#%{py_sitedir}/Gtkinter.py?
%{py_sitedir}/GtkExtra.py?
%{py_sitedir}/GTK.py?
%{py_sitedir}/GDK.py?
%{py_sitedir}/GdkImlib.py?

%{py_sitedir}/pyglade.pth
%dir %{py_sitedir}/pyglade
%{py_sitedir}/pyglade/*.py?

%attr(-,root,root) %{_examplesdir}/python-pygtk-%{_pygtk_ver}

%attr(755,root,root) %{py_sitedir}/_gtkmodule.so
%attr(755,root,root) %{py_sitedir}/_gdkimlibmodule.so
%attr(755,root,root) %{py_sitedir}/_gdkpixbufmodule.so

%files -n python-pygtk-libglade
%defattr(644,root,root,755)
%{py_sitedir}/libglade.py?
%attr(755,root,root) %{py_sitedir}/_libglademodule.so

%files -n python-pygnome
%defattr(644,root,root,755)
%doc *.gz
%{py_sitedir}/gettext.py?

%dir %{py_sitedir}/gnome
%{py_sitedir}/gnome/__init__.py?
%{py_sitedir}/gnome/affine.py?
%{py_sitedir}/gnome/config.py?
%{py_sitedir}/gnome/file.py?
%{py_sitedir}/gnome/help.py?
%{py_sitedir}/gnome/history.py?
%{py_sitedir}/gnome/mime.py?
%{py_sitedir}/gnome/score.py?
%{py_sitedir}/gnome/triggers.py?
%{py_sitedir}/gnome/ui.py?
%{py_sitedir}/gnome/uiconsts.py?
%{py_sitedir}/gnome/url.py?
%{py_sitedir}/gnome/util.py?
%{py_sitedir}/gnome/xmhtml.py?
%{py_sitedir}/gnome/zvt.py?

%attr(755,root,root) %{py_sitedir}/_gnomemodule.so
%attr(755,root,root) %{py_sitedir}/_gnomeuimodule.so
%attr(755,root,root) %{py_sitedir}/_zvtmodule.so
%attr(755,root,root) %{py_sitedir}/_gtkxmhtmlmodule.so

%attr(-,root,root) %{_examplesdir}/python-pygnome-%{_pygnome_ver}

%files -n python-pygnome-libglade
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_gladegnomemodule.so

%files -n python-pygnome-applet
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_appletmodule.so
%{py_sitedir}/gnome/applet.py?

%files -n python-pygnome-capplet
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_cappletmodule.so
%{py_sitedir}/gnome/capplet.py?

%ifnarch ppc
%files -n python-pygtk-glarea
%defattr(644,root,root,755)
%{py_sitedir}/gtkgl.py?
%attr(755,root,root) %{py_sitedir}/_gtkglmodule.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gnome-python.spec,v $
Revision 1.56  2002/04/11 13:57:30  wrobell
- rel. 4, stb

Revision 1.55  2002/04/11 13:45:32  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.54  2002/03/24 23:28:18  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.53  2002/03/18 07:22:38  wrobell
- group changed to Libraries/Python where appropriate
- fixed broken stuff by adapter.awk (group was X11/* and prefix had been
  changed to /usr/X11R6)
- rel. 3
- stb

Revision 1.52  2002/02/23 02:17:46  kloczek
- adapterized.

Revision 1.51  2002/02/22 23:28:59  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.50  2002/02/22 07:34:59  kloczek
- added am_capplet_fix patch for allow build on latest control-center.

Revision 1.49  2002/02/06 09:05:10  kloczek
- adapterized.

Revision 1.48  2002/02/04 03:04:49  kloczek
- release 2: rebuild against python 2.2.

Revision 1.47  2002/01/26 11:19:16  wrobell
- gnome packages version should be 1.4.2 not 1.5 (take a look into NEWS file
  and look for announcements on pygtk lists)
- epoch 1, so people can upgrade
- stb

Revision 1.46  2002/01/25 19:33:27  wrobell
- pygnome 1.4.2 and pygtk 0.6.9 - bugfix release, stb

Revision 1.45  2002/01/18 02:13:08  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.44  2001/11/26 14:04:02  kloczek
- gal-devel can be removed from BuildRequires list.

Revision 1.43  2001/11/24 01:31:01  kloczek
- :!sort BuildRequires rules.

Revision 1.42  2001/11/12 16:34:48  wiget
requires python-pygtk not pygtk

Revision 1.41  2001/11/12 16:32:37  wiget
provide pygtk|pygnome with version, release 9

Revision 1.40  2001/11/12 09:42:03  qboosh
- adapterized, BuildRequires: rpm-pythonprov

Revision 1.39  2001/11/12 01:09:02  wrobell
- use standard python macros
- fixed build requirements

Revision 1.38  2001/10/22 07:05:47  misiek
- add path to X11 libs

Revision 1.37  2001/10/21 18:46:45  jajcus
- more BuildRequires

Revision 1.36  2001/10/21 16:42:09  misiek
- rebuild am/ac files in gnome part

Revision 1.35  2001/10/20 09:25:22  jajcus
- Release: 8
- fixed binary modules names (anybody knows why "_" was missing?)
- fixed Requires for python-pygnome-libglade

Revision 1.34  2001/10/09 10:01:16  ankry
- typo

Revision 1.33  2001/09/09 21:14:44  kloczek
- release 7,
- make package ac 2.5x and am 1.[45] compliat (added {am,ac}_fixes patches).
- rebuild against gal 0.11.2.

Revision 1.32  2001/08/22 16:16:05  wrobell
- rebuilded with python 2.1.1
- rel. 7, stb.

Revision 1.31  2001/07/26 08:13:53  kloczek
- release 6: rebuild against gal 0.9.

Revision 1.30  2001/06/27 19:05:20  kloczek
- release 5.

Revision 1.29  2001/06/27 17:22:15  blues
- %requires_eq

Revision 1.28  2001/06/24 17:08:18  blues
- final touch
- Release 4
- uncommented --with-gtkhtml - should work
- more buildrequires
- translations

Revision 1.27  2001/06/24 16:23:15  blues
- added more build-requires
- more packages
almost finished :)

Revision 1.26  2001/06/24 15:08:14  blues
massive attack:
- started splitting into smaller packages
- %files cleanups

Revision 1.25  2001/06/24 14:32:25  kloczek
- cosmetics.

Revision 1.24  2001/06/24 13:40:38  blues
- corrected %files list

Revision 1.23  2001/05/31 17:00:12  wrobell
- simplified file list

Revision 1.22  2001/05/31 15:52:20  wrobell
- fixed file list (only *.pyc and *.pyo files)

Revision 1.21  2001/05/31 13:09:26  wrobell
- fixed file list
- examples are in proper directories now

Revision 1.20  2001/05/29 19:05:15  blues
- Release 3
- pygtk changed to python-pygtk and pygnome changed to python-pygnome
- added pygtk and pygnome to Obsoletes
- added Provides pygtk and pygnome to packages

Revision 1.19  2001/05/29 15:04:30  wrobell
- fixed build requires

Revision 1.18  2001/05/29 13:14:26  wrobell
- builds with Python 2.1 so release up

Revision 1.17  2001/05/17 09:38:58  blues
- xine: version 0.4.3
- cosmetics

Revision 1.16  2001/05/15 23:07:10  blues
- with-gtkhtml commented out for now...

Revision 1.15  2001/05/15 18:38:55  misiek
cleanups

Revision 1.14  2001/05/10 18:53:45  blues
- some build requires added
- used --with-gtkhtml
- clean-up's
pygtk is still not working.

Revision 1.13  2001/05/10 17:44:07  blues
- spec corrected

Revision 1.12  2001/05/10 16:22:06  blues
- version 1.4.1
- started upgrading spec
- NFY

Revision 1.11  2001/05/10 16:02:58  blues
- typo
- removed pyglade from package (python-pygtk has never one)

Revision 1.10  2001/05/10 15:49:00  blues
- bug-fixes
- define added

Revision 1.9  2001/05/10 15:08:06  blues
- release 3
- translations
- more macros used

Revision 1.8  2001/05/02 16:29:03  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.7  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:22:52  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/18 23:46:01  kloczek
- spec adapterized.

Revision 1.4  2000/05/02 21:22:15  baggins
- fixed version, minor cleanup

Revision 1.3  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.2  2000/04/01 11:14:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.1  1999/08/19 20:07:26  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Sat Feb 20 1999 Michael Johnson <johnsonm@redhat.com>
- added gtk.py* to pygtk filelist

* Tue Feb 16 1999 Michael Johnson <johnsonm@redhat.com>
- rebuilt against 0.99.8

* Tue Feb 09 1999 Michael Johnson <johnsonm@redhat.com>
- added examples
